Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::QueuedRenderableCollection::DepthSortDescendingLess Struct Reference

Comparator to order objects by descending camera distance. More...

`#include <OgreRenderQueueSortingGrouping.h>`

List of all members.

## Public Member Functions
| DepthSortDescendingLess (const Camera *cam)
bool _OgreExport | operator() (const RenderablePass &a, const RenderablePass &b) const
## Public Attributes
const Camera * | camera

## Detailed Description

Comparator to order objects by descending camera distance.

Definition at line 152 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::QueuedRenderableCollection::DepthSortDescendingLess::DepthSortDescendingLess | ( | const Camera * | cam | ) |

| Definition at line 156 of file OgreRenderQueueSortingGrouping.h.

## Member Function Documentation

bool _OgreExport Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator() | ( | const RenderablePass & | a,
|  | const RenderablePass & | b
| ) | const

| Definition at line 161 of file OgreRenderQueueSortingGrouping.h. References _OgreExport.

## Member Data Documentation

const Camera* Ogre::QueuedRenderableCollection::DepthSortDescendingLess::camera

| Definition at line 154 of file OgreRenderQueueSortingGrouping.h.

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:31 2007